#ifndef QEMU_GUI_EVENTS_H
#define QEMU_GUI_EVENTS_H

WX_DEFINE_ARRAY_PTR(wxEvtHandler *,EvtHandlerArray);

/*
 * If you change something in here you will probably need to recompile the
 * whole program because this file is included in a few places and so your
 * object files will not have the same event ids.
 */

enum {
	QEMU_NEW = wxID_NEW,
	QEMU_OPEN = wxID_OPEN,
	QEMU_CLOSE = wxID_CLOSE,
	QEMU_QUIT = wxID_EXIT,
	QEMU_ABOUT = wxID_ABOUT,
	QEMU_FULLSCREEN = wxID_HIGHEST + 1,
	QEMU_DOC,
	QEMU_HOMEPAGE,
	QEMU_MENU_WINDOW_ENTRY,
	QEMU_WINDOW_NEXT,
	QEMU_WINDOW_PREV,
	QEMU_SPLIT,
	QEMU_SPLIT_VERTICAL,
	QEMU_SPLIT_HORIZONTAL,
	QEMU_SPLIT_UNSPLIT,
	QEMU_TOGGLE_STATUSBAR,
	QEMU_TOGGLE_TOOLBAR,
	QEMU_TOOLBAR_TEXT,
	QEMU_TOOLBAR_ICONS,
	QEMU_TOOLBAR_BOTH,
   	QEMU_VM_SETTINGS,
	QEMU_VM_SEND_CTRL_ALT_DEL,
   	QEMU_VM_START,
	QEMU_VM_PAUSE,
	QEMU_VM_SHUTDOWN,
	QEMU_VM_RESET,
	QEMU_VM_KILL,
	QEMU_VM_SNAPSHOT,
	QEMU_VM_REVERT_SNAPSHOT,
	QEMU_TOOLBAR_DISPLAY_INFO,
	QEMU_TOOLBAR_DISPLAY_SCREEN,
	QEMU_TOOLBAR_DISPLAY_CONSOLE,
	QEMU_TOOLBAR_SEND_VM_COMMAND
};

#endif
